The tag has no wiki summary.

learn more… | top users | synonyms

0
votes
1answer
121 views

How do I compile 64bit program with gcc/g++ on a 64bit Linux?

I'm using Ubuntu 10.04 LTS, and want to make a program to run on a large Debian server that has 300GB memory. With command: g++ Encoder.cpp -std=c++0x -m64 -o Encoder.o it returns something like ...
0
votes
1answer
60 views

Compile C++ 11 on Damn Small Linux?

DSL does not include any compiler (aside from a very basic ANSI C compiler), so I need to install g++ on it. Unfortunately the only gcc/g++ I could find for DSL linux is a version from 2006 (here). ...
-2
votes
2answers
63 views

Why does a c++ code run significantly longer on one computer than another? [closed]

The code is exactly the same -- I copied it from one computer to another. The code is compiled with g++-4 (4.9.1) obtained from fink on OSX on both machines, and is not run in parallel. Compiler ...
2
votes
2answers
150 views

Python ./configure does not find g++ compiler

I'm trying to compile Python 3.4.1 on an emulated ARM machine (with Debian 7). ./configure gives me checking for g++... no but g++ is installed. So what could be the problem? I know it's not ...
1
vote
1answer
2k views

Install GCC / G++ Version 4.9 in Linux Mint

I always like to have the latest version of things, particularly if that thing is gcc, g++ and there has recently been a revision to the c++ standard. I have forgotten what ppa's I need to add to my ...
0
votes
0answers
62 views

OS X 10.9.1 : g++ issue

I'm running Mavericks, and I'm using gradle for a project. But I get an error message saying: Unable to extract g++ version number. I dig a bit, and when i execute g++ -v (gradle runs it) in my shell, ...
0
votes
1answer
1k views

update gcc /g++ on Cent Os 5.9

I would like to update gcc/g++ on my Cent Os 5.9. The version I have is 4.1.2 : Would it be possible to update it to 4.4.7 like Cent Os 6.4 WITHOUT updating the entire operating system? It looks to ...
1
vote
1answer
2k views

Installing a GCC/G++ for my mac OSX 10.8

My problem is simple, I would like to get the OSX/BSD version of the GCC and G++ compilers from the GNU.org website. However after some research (as described below) I learned that Apple uses LLVM ...
1
vote
2answers
244 views

downgrade gcc/g++ after upgrading; compiler error

I just upgraded gcc/g++ from 4.4 to 4.8 (via this method How can I update gcc to the latest version in Ubuntu 10.04?). I realized that 4.8 is going to break a lot of my code and now I want to roll ...
1
vote
1answer
743 views

Sublime Text manually specify g++ location

Long story short, I'm using sublime to write some small C++ programs in my spare time. I'm currently on a Windows 7 box and I do not have administrative rights to adjust the Path Environment Variable ...
1
vote
2answers
7k views

Version `GLIBCXX_3.4.15' not found in CentOS (in file /usr/lib/libstdc++.so.6)

I try to use a program and I get the following error. /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15' not found Under /usr/lib64 the libstdc++ I see is libstdc++.so.6.0.13 (and a soft link). ...
0
votes
1answer
175 views

Cygwin - updating an old verison of g++

I installed Cygwin but it appears the mirror I chose my packages from had very old versions on it. I am running g++ 3.4.4 but the latest release is 4.8.0 Whenever I went on the g++ website the .tar's ...
1
vote
2answers
413 views

How to install Valgrind on debian 6 ARM processor?

Title says it all. This file doesn't appear in 'apt-cache search'. My sources.list: deb http://ftp.us.debian.org/debian squeeze main non-free contrib How do I get this installed? Do I have to ...
1
vote
1answer
2k views

alias gcc='gcc -fpermissive' or modifying ./configure script

I am compiling quite big project from source. The compilation always ends with: error: invalid conversion from ‘const char*’ to ‘char*’ [-fpermissive] I have already compiled this project one year ...
2
votes
1answer
1k views

Add a permanent compiler option to g++

I am using a g++ 4.7 on Ubuntu 12.04 to compile my c++ code, and it won't be compiled unless an -std=gnu++11 option is added to my command like this: g++ -std=gnu++11 main.cpp Is there a way to add ...
0
votes
1answer
180 views

Unable to install software on Ubuntu 8.04

I have recently installed 8.04 Ubuntu onto an industrial board and applied the vendor kernel modifications to it. I need to develop applications on another desktop to run on this board in C++ but I am ...
1
vote
1answer
630 views

Linking WXWidgets in C++ on Mac OSX 10.7 objects not working

For a cross-platform project, we are using wxwidgets to create a cross-platform GUI in c++. WxWidgets was installed on Mac OSX 10.7 using macports. We have no problems with compiling our source-code ...
1
vote
6answers
533 views

g++ compiler : unable to compile

This is the first time that I'm using the g++ compiler to compile my c++ programs. I have installed cygwin g++. and I'm trying to run a very simple program to display "hello", to see wether it would ...
1
vote
3answers
5k views

Cannot install g++ on ubuntu

I don't have g++: erelsgl@ubuntu:/etc/apt$ which g++ erelsgl@ubuntu:/etc/apt$ erelsgl@ubuntu:/etc/apt$ g++ The program 'g++' can be found in the following packages: * g++ * pentium-builder Try: ...
1
vote
2answers
4k views

Can't install build-essential on Ubuntu Jaunty 9.04

Here's my /etc/apt/sources.list: #deb cdrom:[Ubuntu 9.04 _Jaunty Jackalope_ - Release i386 (20090420.1)]/ jaunty main restricted # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade ...
0
votes
1answer
885 views

g++ in Knoppix 6 LiveCD

To avoid the inevitable, let me put this in context. I am instructing an Intro to Unix course this semester and the students are using Knoppix 6.4.3 off the LiveCD. They are not required to install ...
0
votes
1answer
272 views

G++ Compile and Run Without Output

This is just a convenience thing. Is there a way to use C++ sort of like an interpreted language, only in the sense that you could compile and run it without outputting a binary file. This is of ...